language:
  - python

python:
  - "3.4"

before_install:
  - git submodule update --remote

install:
  - pip install six
  - pip install flake8
  - pip install jupyter
  - pip install -r requirements.txt

script:
  - py.test
  - python -m doctest -v *.py

after_success:
  - flake8 --max-line-length 100 --ignore=E121,E123,E126,E221,E222,E225,E226,E242,E701,E702,E704,E731,W503 .

notifications:
  email: false
